Bug 1910066

Summary: OpenShift YAML editor jumps to top every few seconds
Product: OpenShift Container Platform Reporter: Robb Hamilton <rhamilto>
Component: Management ConsoleAssignee: Robb Hamilton <rhamilto>
Status: CLOSED ERRATA QA Contact: Yadan Pei <yapei>
Severity: high Docs Contact:
Priority: high    
Version: 4.6CC: aos-bugs, cvogt, harsharm, jhadvig, jokerman, yanpzhan, yapei
Target Milestone: ---Keywords: UpcomingSprint
Target Release: 4.6.z   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Cause: A bug in a dependency (see https://github.com/terser/terser/issues/407) resulted in the persistent unmounting and remounting of the YAML Editor component. Consequence: The YAML editor inside of the OpenShift web console jumps to the top of the YAML file every few seconds Fix: To work around the bug, the default parameter value was removed. Result: The YAML Editor behaves as expected.
Story Points: ---
Clone Of: 1903164 Environment:
Last Closed: 2021-01-18 18:00:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1903164    
Bug Blocks:    

Comment 2 Yanping Zhang 2021-01-12 01:48:54 UTC
Checked on 4.6 cluter with payload 4.6.0-0.nightly-2021-01-10-033123.
Install operator etcd in project, then go to the csv yaml tab, scroll down, edit in the yaml, wait for a few minutes, it doesn't jump to the top of the yaml now.
The bug is fixed.

Comment 5 errata-xmlrpc 2021-01-18 18:00:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.6.12 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0037